<template>
  <div class="home">  
  <a @click="retour">Retour</a>
  <div class="contrat" v-if="contrat">
    <h1>employeur</h1>
    <h2>adresse</h2>
      <p>
        {{ contrat.employeur.adresse.numero }} 
        {{ contrat.employeur.adresse.repetitionVoie }} 
        {{ contrat.employeur.adresse.typeVoie }} 
        {{ contrat.employeur.adresse.voie }} 
        {{ contrat.employeur.adresse.codePostal }} 
    {{ contrat.employeur.adresse.commune }}
        </p>
      
      <p>complement{{ contrat.employeur.adresse.complement }}</p>
      
      <p>numeroINSEE{{ contrat.employeur.adresse.numeroINSE }}</p>
<p>	attestationEligibilite	: 	{{ contrat.employeur.	attestationEligibilite	 }}	</p>
<p>	attestationFormation	: 	{{ contrat.employeur.	attestationFormation	 }}	</p>
<p>	attestationPieces	: 	{{ contrat.employeur.	attestationPieces	 }}	</p>
<p>	attestationVeracite	: 	{{ contrat.employeur.	attestationVeracite	 }}	</p>
<p>	caisseComplementaire	: 	{{ contrat.employeur.	caisseComplementaire	 }}	</p>
<p>	codeIdcc	: 	{{ contrat.employeur.	codeIdcc	 }}	</p>
<p>	courriel	: 	{{ contrat.employeur.	courriel	 }}	</p>
<p>	denomination	: 	{{ contrat.employeur.	denomination	 }}	</p>
<p>	employeurSpecifique	: 	{{ contrat.employeur.	employeurSpecifique	 }}	</p>
<p>	libelleIdcc	: 	{{ contrat.employeur.	libelleIdcc	 }}	</p>
<p>	naf	: 	{{ contrat.employeur.	naf	 }}	</p>
<p>	noAdherent	: 	{{ contrat.employeur.	noAdherent	 }}	</p>
<p>	noUrssaf	: 	{{ contrat.employeur.	noUrssaf	 }}	</p>
<p>	nom	: 	{{ contrat.employeur.	nom	 }}	</p>
<p>	nombreDeSalaries	: 	{{ contrat.employeur.	nombreDeSalaries	 }}	</p>
<p>	organismeDePrevoyance	: 	{{ contrat.employeur.	organismeDePrevoyance	 }}	</p>
<p>	particulierEmployeur	: 	{{ contrat.employeur.	particulierEmployeur	 }}	</p>
<p>	prenom	: 	{{ contrat.employeur.	prenom	 }}	</p>
<p>	regimeSpecifique	: 	{{ contrat.employeur.	regimeSpecifique	 }}	</p>
<p>	siret	: 	{{ contrat.employeur.	siret	 }}	</p>
<p>	telephone	: 	{{ contrat.employeur.	telephone	 }}	</p>
<p>	typeEmployeur	: 	{{ contrat.employeur.	typeEmployeur	 }}	</p>
    
    <h1>alternant</h1>
    <h2>adresse</h2>
      <p>
        {{ contrat.alternant.adresse.numero }} 
        {{ contrat.alternant.adresse.repetitionVoie }} 
        {{ contrat.alternant.adresse.typeVoie }} 
        {{ contrat.alternant.adresse.voie }} 
        {{ contrat.alternant.adresse.codePostal }} 
    {{ contrat.alternant.adresse.commune }}
        </p>
      
      <p>complement{{ contrat.alternant.adresse.complement }}</p>
      
      <p>numeroINSEE{{ contrat.alternant.adresse.numeroINSE }}</p>

<p>	communeNaissance	: 	{{ contrat.alternant.communeNaissance	 }}	</p>
<p>	courriel	: 	{{ contrat.alternant.courriel	 }}	</p>
<p>	dateNaissance	: 	{{ contrat.alternant.dateNaissance	 }}	</p>
<p>	departementNaissance	: 	{{ contrat.alternant.departementNaissance	 }}	</p>
<p>	derniereClasse	: 	{{ contrat.alternant.derniereClasse	 }}	</p>
<p>	diplome	: 	{{ contrat.alternant.diplome	 }}	</p>
<p>	diplomePrepare	: 	{{ contrat.alternant.diplomePrepare	 }}	</p>
<p>	dureeInscriptionCommeDE	: 	{{ contrat.alternant.dureeInscriptionCommeDE	 }}	</p>
<p>	handicap	: 	{{ contrat.alternant.handicap	 }}	</p>
<p>	inscritPoleEmploi	: 	{{ contrat.alternant.inscritPoleEmploi	 }}	</p>
<p>	intituleDiplomePrepare	: 	{{ contrat.alternant.intituleDiplomePrepare	 }}	</p>
<p>	nationalite	: 	{{ contrat.alternant.nationalite	 }}	</p>
<p>	nir	: 	{{ contrat.alternant.nir	 }}	</p>
<p>	noInscription	: 	{{ contrat.alternant.noInscription	 }}	</p>
<p>	nom	: 	{{ contrat.alternant.nom	 }}	</p>
<p>	prenom	: 	{{ contrat.alternant.prenom	 }}	</p>
<p>	regimeSocial	: 	{{ contrat.alternant.regimeSocial	 }}	</p>
<h1>responsableLegal</h1>
    <h2>adresse</h2>
       <p>
        {{ contrat.alternant.responsableLegal.adresse.numero }} 
        {{ contrat.alternant.responsableLegal.adresse.repetitionVoie }} 
        {{ contrat.alternant.responsableLegal.adresse.typeVoie }} 
        {{ contrat.alternant.responsableLegal.adresse.voie }} 
        {{ contrat.alternant.responsableLegal.adresse.codePostal }} 
    {{ contrat.alternant.responsableLegal.adresse.commune }}
        </p>
      
      <p>complement: {{ contrat.alternant.responsableLegal.adresse.complement }}</p>
      
      <p>numeroINSEE: {{ contrat.alternant.responsableLegal.adresse.numeroINSE }}</p>

      <p>nom: {{ contrat.alternant.responsableLegal.nom }} {{ contrat.alternant.responsableLegal.prenom }}</p>

       <p>sexe: 1,</p>
       <p>situationAvantContrat: 3</p>
       <p>telephone: 1234567890123</p>
              <p>typeMinimumSocial: 1
   </p>

   <p>tuteur1</p>
   <p>nom: Premier</p>
      <p>prenom: Tuteur</p>
      <p>emploiOccupe: Assistant</p>
      <p>dateNaissance: 15-03-1973</p>
      <p>nir: 123456789012345
   </p>

   <p>tuteur2</p>
   <p>nom: Second</p>
      <p>prenom: Tuteur</p>
      <p>emploiOccupe: Assistant</p>
      <p>dateNaissance: 16-03-1973</p>
      <p>nir: 123456789012345
   </p>

   <p>detailsContrat</p>
   <p>avantageLogement: 32.52</p>
      <p>avantageNourriture: 85.1</p>
      <p>autreAvantageEnNature: true</p>
      <p>classification: string200</p>
      <p>coefficientCC: 15</p>
      <p>dateConclusion: 10-12-2019</p>
      <p>dateDebutContrat: 12-12-2016</p>
      <p>dateDebutContratInitial: 12-12-2016</p>
      <p>dateEffetAvenant: 12-12-2016</p>
      <p>dateFinContrat: 12-12-2020</p>
      <p>dateSignatureContrat: 10-12-2016</p>
      <p>dateSignatureConvention: 10-12-2016</p>
      <p>dispositif: APPR</p>
      <p>dureePeriodeEssai: 123</p>
      <p>dureeTravailHebdoHeures: 35 </p>
      <p>dureeTravailHebdoMinutes: 10</p>
      <p>emploiContratInitial: string500</p>
      <p>emploiOccupe: string200</p>
      <p>flagCorrection: false</p>
      <p>lieuSignatureContrat: Test</p>
      <p>lieuSignatureConvention: string200</p>
      <p>maintienCfaRupture: false</p>
      <p>modeContractuel: 1</p>
      <p>natureContrat: 1</p>
      <p>niveauCC: 12</p>
      <p>noGestionInterne: 12345678901234b</p>
      <p>remunerationsAnnuelles:</p>
       <p>dateDebut: 12-12-2016</p>
              <p>dateFin: 12-06-2017</p>
              <p>taux: 571.7</p>
              <p>typeSalaire: SMIC
     </p>
            
       <p>dateDebut: 12-06-2017</p>
              <p>dateFin: 12-12-2020</p>
              <p>taux: 90.15</p>
              <p>typeSalaire:SMIC</p>
      

       <p>salaireEmbauche: 4521.36</p>
       <p>travailRisque: false</p>
       <p>typeContratApp: 11</p>
       <p>typeContratPro: 12</p>
       <p>typeDerogation: 22
 </p>

    
   <p>formation</p>
       <p>codeDiplome: 2503262A</p>
              <p>dateDebutFormation: 10-01-2016</p>
              <p>dateFinFormation: 10-01-2019</p>
              <p>dateObtentionDiplome: 10-01-2019</p>
              <p>dureeActionProfessionalisation: 250</p>
              <p>dureeEnseignements: 125</p>
              <p>dureeFormation: 250</p>
              <p>intituleQualification: Super Qualification</p>
              <p>rncp: RNCP183</p>
              <p>specialite: 227r</p>
              <p>typeDiplome: 43</p>
              <p>typeQualification: 1
   </p>

   <p>etablissementFormation</p>
      <p>adresse</p>
     <p>codePostal: 78190</p>
          <p>commune: TRAPPES</p>
          <p>complement: le bois</p>
          <p>numero: 14</p>
          <p>numeroINSEE: 78621</p>
          <p>repetitionVoie: B</p>
          <p>typeVoie: RUE</p>
          <p>voie: rue du bois
       </p>
               <p>uaiSite: 0673024Y
   </p>

   <p>organismeFormation</p>
      <p>adresse</p>
     <p>codePostal: 78190</p>
          <p>commune: TRAPPES</p>
          <p>complement: le bois</p>
          <p>numero: 14</p>
          <p>numeroINSEE: 78621</p>
          <p>repetitionVoie: B</p>
          <p>typeVoie: RUE</p>
          <p>voie: rue du bois"
       </p>
               <p>denomination: ACADEMIE PROFESSIONNELLE D'EQUITATION WESTERN</p>
               <p>formationInterne: true</p>
               <p>noDeclaration: 82380613638</p>
               <p>nombreOrganismesIntervenant: 1</p>
               <p>siret: 81170812200015</p>
               <p>uaiCfa: 0673024Y</p>
               <p>visaCFA: true
   </p>

   <p>suiviContrat</p>
   <p>identifiantOrgaDepot: 8</p>
      <p>dateCreationSiOpco: 13-12-2016</p>
      <p>dateDossierComplet: 13-12-2016</p>
      <p>dateDossierConforme: 13-12-2016</p>
      <p>dateDecision: 19-12-2016</p>
      <p>conformiteAccord: true</p>
      <p>motifRefus: null</p>
      <p>motivationDecision: null</p>
      <p>conventionFormation: true</p>
      <p>conventionReducDuree: true</p>
  
  </div>
  <a @click="retour">Retour</a>
  </div>
</template>

<script>
import { ref, computed } from "vue";
import contratsService from "@/services/contratsService.js";
export default {
  name: "Contrats",
  setup(props, context) {
    const contrat = ref();
    const numContrat = computed(() => context.root.$route.params.numContrat)
    const siret = computed(() => context.root.$route.params.siret)
    const avenant = computed(() => context.root.$route.params.avenant)

    async function getContrat(numContrat, siret, avenant) {
      contrat.value = await contratsService.getContrat(
        numContrat,
        siret,
        avenant
      );
    }
    function retour() {
      this.$router.back();
    }
    getContrat(
      numContrat,
      siret,
      avenant
    );
    return { retour, contrat, getContrat };
  },
};
</script>
